=== ContactUs Chat for WordPress ===
Contributors: contactus.com
Stable tag: 2.0
Requires at least: 3.5
Tested up to: 3.9.1
Donate link:
Tags: chat, live chat, chat form, free chat, ContactUs.com
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html

ContactUs.com is an integrated live chat service used by small businesses to grow sales leads and customers. Install and use it for free

== Description ==

ContactUs Chat is used by small business website to provide real-time, human-level interactive chat for your website’s users. A free ContactUs.com is created when you set-up ContactUs Chat for the first time inside of this plugin. Once you install and “Connect” to the chat service from within the plugin (or from your ContactUs.com account), a clickable “Chat” button will be placed atop your website. To initial a chat, your website visitors would click on that button, submit their info, ask their first question and then submit.  It’s that simple.  Chat conversations would be real-time and 2-way until the end of your chat session.

ContactUs Chat can be used as a standalone chat module for your website. But it is even more powerful because you can integrate your chat conversations with the entire ContactUs.com contact management suite.  Meaning, you can use ContactUs.com to manage contact forms, newsletter signup forms, appointment requests (premium), as well as chat, and capture all user interaction within your ContactUs.com account.  It beats using pen/paper or email to keep track of everything.

Our integrated live chat plugin makes it easy to engage website visitors and provide live customer support. You can install a floating tab on your site that makes it possible for your visitors to activate a live chat.

[vimeo https://vimeo.com/90996775]

**Chat Data is Easy to Understand**
With our tool, you can easily get details about who you are chatting with. Including how they found your website (traffic source), their history on your site, their location via IP address, and referrer source (UTM advertising tracking code). We also provide a chat history so you can go back to reference who you chatted with and view the conversations.

**Prompt Chat Only When You are Available** 
Chat will be enabled when you are available and logged into our web app. When you're not online, the form will convert into a regular contact form so that you can still receive offline inquiries.

**Proactively Prompt Visitors to Chat**
We’ve been testing proactive chat for months on our own website and we are really pleased with the feedback. With our tool it’s easy to prompt users who visit specific pages to chat. If you have a product tour page or a pricing plans page, it’s easy to provide live support to active visitors. 

**WordPress Shortcodes are Available**
_______________________________________ 

**WP Shortcode:**
>[show-live-chat-form] 

**Php Snippet:**
> echo do_shortcode('[show-live-chat-form]');

**Note:** ContactUs.com has a simple html snippet that does not require a plugin. You can use both in WP templates as well as plain HTML. More information on this [here](http://help.contactus.com/hc/en-us/articles/200619888-Copy-Pasting-the-Code-vs-Implementing-through-the-WordPress-Plugin).

> **User Support:**
>
> We try to provide the best user support we can for our users and their live chat forms. 
>
> * View some of our Frequently-Asked Questions for forms on ContactUs.com [here](http://www.contactus.com/frequently-asked-questions/).
> * View our user support forum [here](http://help.contactus.com/home).
> * Submit a support ticket [here](http://help.contactus.com/anonymous_requests/new). If you have any contact form questions we're here to help!
> * [Find tutorials on our YouTube channel](http://www.youtube.com/user/ContactUsCom). 

You can manage even more customizations for your chat form, from inside your ContactUs.com account admin panel. It's easy to navigate our admin panel from inside your plugin. The customization options include live chat form content such as the button text and website info.

**Tools to Get You Started with our Live Chat Plugin**

Our Live Chat Plugin offers these options within the plugin:

* Callout Tab with choice of text and color or upload your own
* Name, Email and Message fields
* Different implementation paths for your live chat form (callout tab + form, inline form)
* Ability to place a WP shortcode for a specific chat form in a specific wordpress page or post
* Choice of which website pages and posts to include the chat form
* Instant notification emails upon message submission, when chat agents are not available.

**Additional Customization for Live Chats and Contact Management within the ContactUs.com Web App**

From within your ContactUs.com account, integrated with the plugin, you’ll be able to further customize your form with advanced functionality:

* Choose the placement of the callout tab within a page (right, left, top, bottom or each corner)
* Create or upload a custom callout tab (so you can use alternative text besides “Contact Us”, and in the language of your choice)

**Finally, Powerful Contact Management Tools**

* Track contacts from inside your secure, cloud-based contact management database
* Take notes on individual contacts, in real time, as you chat away.
* View overall submission stats (form views, submissions, segmentation by devices)
* Gain detailed contact form analytics on each submission (referral source, visited pages, time on site, new/existing visitor)

>  **Legal**
> 
> * [Privacy & Security](http://www.contactus.com/privacy-security/)
> * [Terms of Service](http://www.contactus.com/terms-of-service/)
> * [DMCA Policy](http://www.contactus.com/dmca-policy/)
> * [SPAM Complaint](http://www.contactus.com/spam-complaint/)

Follow us for new product updates from ContactUs.com:

* [Blog](http://www.contactus.com/blog/)
* [Facebook](https://www.facebook.com/ContactUscom)
* [Twitter](https://twitter.com/ContactUsCom)

> **Please note:** This plugin includes JavaScript code used to connect the plugin to ContactUs.com servers when activated. This JavaScript is used to enable the chat interface and allow you to chat with your website visitors. Our live chat support enables you to access live support directly from within the plugin settings panel.

== Installation ==

1. Open the Add New Plugin panel in your WP Dashboard, and go to the search plugins tab.  
2. Search for "ContactUs Chat for WordPress" and choose install. 
3. WordPress will automatically install the plugin into your account.
4. Once completed, go to your list of plugins (half way down your WordPress dashboard sidebar), and choose to activate. Or activate during the installation process. 
5. After the plugin is activated, open the ContactUs.com plugin.
6. Create a new account or Log into your existing ContactUs.com account from inside the plugin to get started.

Detailed instructions, with screenshots, on how to implement the ContactUs.com WordPress can be found [here](http://help.contactus.com "Go to our support and documentation section.")

== Frequently Asked Questions ==

Remember we have live chat support at help.contactus.com during office hours. If we are not home, you can send us a support request or plugin suggestion. We will get back to you ASAP. And yeah, if you can think of anything that would make this plugin cooler, we will seriously consider it in our next release. 

**Do I need to know how to code?**

> Nope. Our mission is to make this plugin as easy as possible and accessible to all WP species ;)

**Are there available Shortcodes for posts and PHP snippets for templates?**

> Yes!, We made sure this plugin has all of the cool stuff WP developers like. 
> 
> **Php Snippet:**
> 
> * echo do_shortcode('[show-live-chat-form formkey="FORM KEY HERE"]');
> 
> Or use this one for the default live chat form:
> 
> * echo do_shortcode('[show-live-chat-form]');
> 
> **WP Shortcode:**
> 
> * [show-live-chat-form formkey="FORM KEY HERE"]
> 
> Or use this one for the default live chat form:
> 
> * [show-live-chat-form]

**Why must I create or login to a ContactUs.com account?**

> Our plugins aren't just chat, they are extensions of the ContactUs.com application. The latter is cloud based, and enables users to perform form submission optimization, lead management, tab and form customization, A/B testing, manage auto responders, create advanced triggers and manage all of your forms, for multiple sites, from one place.
> In other words, our free tool is a cloud-based lead acquisition system for inbound traffic, and it's made to make multitasking easier for optimization junkies. 
> For example, if you have a mailing list that is fed from multiple landing pages, in multiple sites, and you wanted to test out 3 different call to actions, you could log into ContactUs.com, click on A/B test, select the Tabs you want to try out and save. All of your forms would automatically be updated, testing would be initialized, all in a matter of minutes.

**Where can I get someone to help me with this?**

> If you need any specific tips on optimizing your online forms with our tools, or any other question, please feel free to ask. We would love to help out. We've got a support knowledge base here: http://help.contactus.com, live chat on the page, and we're more than happy to answer questions directly in this plugin's feedback area. If you want to submit questions send us an email to support@contactus.com.

**Setup**

How to Use ContactUs.com Chat:

**Opening the Chat Interface** From your ContactUs.com user admin panel, go to Chat and click on Open Chat Interface. The chat window will open in a new window.
    
**Get Connected** When you open for the first time during the session, you'll be automatically listed as "Connected".  When you are Connected, your chat tab will begin functioning for your users. When you step away, or are idle, be sure to turn off the connection.
    
**When You're Offline** When you are offline or disconnected, the chat tab will open up a regular contact form, where visitors can still contact you, just not in real-time.
    
**Incoming Alerts** You will hear an alert when there is a new incoming chat.  You can start responding once a chat conversation has been opened.
    
**Lead Info** The visitor's contact information will be shown on the left-hand side of the chat.  Add notes, add phone numbers or change disposition statuses as you continue your dialogue.  You'll also see their browsing activity and other data inferred by their IP address.
    
**Canned Responses** Canned Chat Responses work as a shortcut for you to paste in, commonly asked phrases. It saves time for yourself and your operators to keep from typing over the same responses. Canned Responses can also be a great way to train your new chat reps, and make sure they are delivering consistent messaging.
    
**Auto-Open Prompts**. We built the ability for you to automatically invite users to chat with you, from specific pages on your website.  For example, you can automatically invite everyone visiting your pricing page or product page to start a chat.  Enter a URL and custom message to have chat automatically open to visitors on that page

Below are links to answer additional questions about:

* Logging into you ContactUs.com account (<a href="http://help.contactus.com/forums/21782103-Logging-In" target="_blank">here</a>)
* Setting up a new form (<a href="http://help.contactus.com/forums/21779422-Configuring-Your-Form" target="_blank">here</a>)
* Managing your leads (<a href="http://help.contactus.com/categories/20093858-Managing-Your-Leads" target="_blank">here</a>)

== Screenshots ==

1. Chat Interface
2. Easily control where to place your chat form
3. Add a custom chat tab
4. Quick Chat Interface in wp dashboard
5. Wide variety of tab templates to choose from
6. Reports and Analytics
7. Track and manage contacts
8. Smart Triggers

== Changelog ==

= 2.0 =
* NEW: Addition of interactive user guide
* NEW: User Interface improvements
* NEW: Place multiple forms across your site
* NEW: Complete UI redesign
* NEW: More Customization Options
* NEW: Better Deeplink Integration
* NEW: Easy Toggle yes and no options
* NEW: Improved Widget Functions, quick Form Key implementation
* NEW: Improved Setup Process
* Improved on-site settings
* Major Version Release
* *Launch date 08.07.2014*

= 1.0.2 =
* Plugin Home Page Upgrades
* *Launch date 28.04.2014*

= 1.0.1 =
* UI improvements and bug fixes
* *Launch date 23.04.2014*

= 1.0 =
* First version available to WordPress community
* *Launch date 04.04.2013*

== Upgrade Notice ==

= 2.0 =
New major version available, update NOW!.

= 1.0.2 =
First version available to WordPress community.

= 1.0.1 =
First version available to WordPress community.

= 1.0 =
First version available to WordPress community.